public class BonusFlocon {
	public static void tracerFlocon(MachineTrace m, int nbCarres, int l) {
		int separation = (360 - (nbCarres * 90) % 360) / nbCarres;

		for (int i = 0; i < nbCarres; i++) {
			Carres.tracerCarre(m, l);
			m.tournerDroite(90 + separation);
		}
	}

	public static void main(String[] args) {
		MachineTrace m = new MachineTrace(400, 400);
		final int n = 7;
		tracerFlocon(m, n, 100);
		m.masquerPointeur();
	}
}
