class Cube
{
	public static void tracerSegment(MachineTrace m, int x1, int y1, int x2, int y2) {
        m.placer(x1, y1);
        m.baisser();
        m.placer(x2, y2);
        m.lever();		
	}
	
    public static void main(String [] args) {
        MachineTrace m = new MachineTrace(400,400);
        final int n=10, d=5;
        final int width=n*d;
        
        for (int i=0; i<=n; i++) {
        		tracerSegment(m, -width-d*i, width+d*i, width-d*i, width+d*i);
        		tracerSegment(m, -width-d*i, width+d*i, -width-d*i, -width+d*i);
        		tracerSegment(m, width-2*d*i, width, -2*d*i, 2*width);
        		tracerSegment(m, -width, -width+2*d*i, -2*width, 2*d*i);
            tracerSegment(m, -width+2*d*i, width, -width+2*d*i, -width);
            tracerSegment(m, -width, -width+2*d*i, width, -width+2*d*i);
        }
    }
}
